Contents

# FreeFile Function

Faayilii banameef lakkoofsa faayilii itti aanuun argamu deebisi. Lakkoofsa faayilii kan duranuu faayilii ammee banameen hin gargaaramne gargaaramuun faayilii banuuf faankishinii kannatti gargaarami.

### Syntax:

    FreeFile

### Return value:

intergaa

### Parameters:

Faankishiniin kun hima baname duratti hatatamaan gargaara.Faayiliin Duwwaan lakkoofsa faayilii itti aanee argamu deebisa, garuu faallaa hin godhu.

### Error codes:

5 Ejjatoo fashalaan waamu

67 Faayiloota hedduu 67 Faayiloota hedduu 67 Faayiloota hedduu

### Example:

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "C:\Users\ThisUser\data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Maxxansa #iNumber, "Kun Sarara barruuti"
          Print #iNumber, "Kun sarara barruu kan birooti"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "~/data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Maxxansa #iNumber, "Kun Sarara barruuti"
          Print #iNumber, "Kun sarara barruu kan birooti"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

Matadureewwan Walfakkatan

Close Statement

Open Statement

Print# Statement